Subject: Re: [bug#49252] [PATCH] Channels defaulting to HEAD instead of‘master’

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 08 Aug 2021 15:53:48 +0200

Ludovic Courtès <[email-masked]> writes:

> For the record, commit cb41c15827a2e910aa56fb5d1917ba8a085c95c7 
> by Kyle
> (Cc’d) gives the ability to use the remote HEAD by default, 
> which is
> exactly what we need here.
>
> Unfortunately, for the Guix repo at Savannah, I get:
>
> --8<---------------cut 
> here---------------start------------->8---
> $ ./pre-inst-env guix time-machine -- describe
> guix time-machine: error: Git error: reference 
> 'refs/remotes/origin/HEAD' not found
> --8<---------------cut 
> here---------------end--------------->8---
>
> … but it works for <https://github.com/guix-mirror/guix>.

For what it’s worth I found the same kind of problem when 
importing an R package from Github:

   ./pre-inst-env guix import cran -a git 
   https://github.com/ImmuneDynamics/Spectre

Here’s the error backtrace:

--8<---------------cut here---------------start------------->8---
Backtrace:
In ice-9/boot-9.scm:
    724:2 19 (call-with-prompt _ _ #<procedure 
    default-prompt-handler (k proc)>)
In ice-9/eval.scm:
    619:8 18 (_ #(#(#<directory (guile-user) 7f95f8626c80>)))
In guix/ui.scm:
   2185:7 17 (run-guix . _)
  2148:10 16 (run-guix-command _ . _)
In guix/scripts/import.scm:
   120:11 15 (guix-import . _)
In guix/scripts/import/cran.scm:
   110:25 14 (guix-import-cran . _)
In guix/memoization.scm:
     98:0 13 (mproc "https://github.com/ImmuneDynamics/Spectre" 
     #:repo git)
In unknown file:
          12 (_ #<procedure 7f95f4ce5e60 at 
          guix/memoization.scm:179:32 ()> #<procedure list _> 
          (this is nothing))
In guix/import/cran.scm:
   594:24 11 (_ "https://github.com/ImmuneDynamics/Spectre" #:repo 
   _ #:version _)
   279:25 10 (fetch-description _ 
   "https://github.com/ImmuneDynamics/Spectre")
In guix/memoization.scm:
     98:0  9 (mproc "https://github.com/ImmuneDynamics/Spectre" 
     #:method git)
In unknown file:
           8 (_ #<procedure 7f95f4ce5e00 at 
           guix/memoization.scm:179:32 ()> #<procedure list _> 
           (this is nothing))
In ice-9/boot-9.scm:
  1752:10  7 (with-exception-handler _ _ #:unwind? _ 
  #:unwind-for-type _)
In guix/store.scm:
   658:37  6 (thunk)
In guix/git.scm:
    481:8  5 (latest-repository-commit #<store-connection 256.99 
    7f95f4c18320> "https://github.com/ImmuneDynamics/Spectre" 
    #:recursive? _ #:log-port _ #:cache-directory _ #:ref _)
    247:4  4 (update-cached-checkout _ #:ref _ #:recursive? _ 
    #:check-out? _ #:starting-commit _ #:log-port _ 
    #:cache-directory _)
   214:18  3 (resolve _)
In git/reference.scm:
     60:8  2 (_ _ _)
In git/bindings.scm:
     77:2  1 (raise-git-error _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Git error: reference 'refs/remotes/origin/HEAD' not found
--8<---------------cut here---------------end--------------->8---

> Presumably we have a server-side setup issue at Savannah?

I think it might be a repository setting rather than a server 
setting as other Github repositories work, yet this one repo on 
Github does not.

-- 
Ricardo